Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1.xpath10
Class OXPath10Expression.OSigGetVariableData

    java.lang.Object
      org.apache.ode.bpel.rtrep.v1.OBase
          org.apache.ode.bpel.rtrep.v1.xpath10.OXPath10Expression.OSigGetVariableData

All Implemented Interfaces:
  java.io.Serializable, ActivityModel

Enclosing class:
  OXPath10Expression

    public static final class OXPath10Expression.OSigGetVariableData

extends OBase

Data structure representing the compiled signature of a `bpws:getVariableData` invocation.

See Also:
  Serialized Form

Field Summary
`OExpression` | `location`
`OMessageVarType.Part` | `part`
`OScope.Variable` | `variable`

Fields inherited from class org.apache.ode.bpel.rtrep.v1.OBase
`debugInfo`

Constructor Summary
`OXPath10Expression.OSigGetVariableData(OProcess owner, OScope.Variable variable, OMessageVarType.Part part, OExpression location)`

Method Summary

Methods inherited from class org.apache.ode.bpel.rtrep.v1.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### variable

    public final OScope.Variable variable

### part

    public final OMessageVarType.Part part

### location

    public final OExpression location

Constructor Detail

### OXPath10Expression.OSigGetVariableData

    public OXPath10Expression.OSigGetVariableData(OProcess owner,
                                                  OScope.Variable variable,
                                                  OMessageVarType.Part part,
                                                  OExpression location)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD